Bug 12693 - dbwrap_watch.c", line 281: syntax error before or at: }
dbwrap_watch.c", line 281: syntax error before or at: }
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: File services
4.5.6
All Solaris
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-03-15 19:25 UTC by Tom Schulz
Modified: 2017-03-27 09:38 UTC (History)
1 user (show)

See Also:


Attachments
Patch to make Solaris C happy (836 bytes, patch)
2017-03-15 19:30 UTC, Tom Schulz
no flags Details
git-am fix for 4.6.next, 4.5.next. (1.12 KB, patch)
2017-03-17 20:02 UTC, Jeremy Allison
vl: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Tom Schulz 2017-03-15 19:25:53 UTC
Trying to build Samba 4.5.6 on a Solaris 10 Sparc box using the Sun C 5.13 SunOS_sparc 2014/10/20 compiler. I get the error message:

"../source3/lib/dbwrap/dbwrap_watch.c", line 281: syntax error before or at: }

I will attach a patch in a moment.
Comment 1 Tom Schulz 2017-03-15 19:30:19 UTC
Created attachment 13067 [details]
Patch to make Solaris C happy

Here is a patch to make the Solaris C compiler happy. Some very similar patches have been needed in the past.
Comment 2 Tom Schulz 2017-03-17 17:08:19 UTC
The patch should be in master now. This is needed for both 4.5.next and 4.6.next.
Comment 3 Jeremy Allison 2017-03-17 20:02:54 UTC
Created attachment 13081 [details]
git-am fix for 4.6.next, 4.5.next.

Cherry-picked from master.
Comment 4 Karolin Seeger 2017-03-23 11:58:09 UTC
Pushed to autobuild-v4-{6,5}-test.
Comment 5 Karolin Seeger 2017-03-27 09:38:58 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to both branches.
Closing out bug report.

Thanks!